List agent deployments
GET /api/v1/agent_deployment
GET
/api/v1/agent_deployment
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters ” agent_id
Agent_Id
A valid agent ID
string
Example
013xrzp12g3nqk8ns6jadrqmpgrjkeny idempotency_key
sorting
string
Sort order; a field name, optionally prefixed with - for descending (e.g. -created_at).
pagination[offset]
integer
Zero-based offset of the first item to return.
pagination[page_size]
integer
Number of items to return per page (1-100).
Responses
Section titled “ Responses ”Success
object
pagination
One of:
PaginationOutput
Pagination information
object
item_count
The total number of items
integer
item_end
The index of the last item in the page (one-based)
integer
item_start
The index of the first item in the page (one-based)
integer
next_page_offset
page_count
The total number of pages
integer
page_index
The index of the current page (one-based)
integer
page_offset
The offset of the first item in the page (zero-based)
integer
page_size
The number of items per page
integer
Example
{ "item_count": 200, "item_end": 100, "item_start": 91, "next_page_offset": 110, "page_count": 20, "page_index": 10, "page_offset": 90, "page_size": 10, "previous_page_offset": 80} Null
Null
string
sorting
status
string
Example
success summaries
Array<object>
AgentDeployment_Summaryobject
account_id
Account_Id
A valid account ID
string
Example
013xrzp12g3nqk8ns6jadrqmpgrjkeny agent_id
Agent_Id
A valid agent ID
string
Example
013xrzp12g3nqk8ns6jadrqmpgrjkeny current_version_id
One of:
AgentVersion_Id
A valid agent version ID
string
Example
013xrzp12g3nqk8ns6jadrqmpgrjkeny Null
Null
string
environment_id
Environment_Id
A valid environment ID
string
Example
013xrzp12g3nqk8ns6jadrqmpgrjkeny id
AgentDeployment_Id
A valid agent deployment ID
string
Example
013xrzp12g3nqk8ns6jadrqmpgrjkeny inserted_at
When the deployment was created
string format: date-time
Example
2024-01-01T00:00:00Z type
Type of resource (always ‘agent_deployment’)
string
Example
agent_deployment updated_at
When the deployment was last updated
string format: date-time
Example
2024-01-01T00:00:00Zdefault
Section titled “default ”Error
One of:
object
code
string
Example
bad_request message
string
status
string
Example
errorobject
code
string
Example
validation_errors errors
message
string
status
string
Example
error